export const prompt = `任务目标

随机森林算法设计需求说明，结构化分析和建模建议 

数据样本：[在此粘贴数据片段或上传文件（CSV/XLSX）]  

1. 问题定义与目标明确
请明确回答以下问题：

1.
核心问题 ：该数据集拟解决的业务问题是什么？（例如：预测用户购买品类、识别高价值客户流失风险等）
2.
因变量（目标）选择 ：
    字段名：[目标变量字段名]  

     - 选择依据：  

        - 业务相关性说明（如"直接关联用户购买行为"）  

        - 数据类型匹配（如分类问题需离散变量、回归问题需连续变量）

    模型预期 ：

         预期性能指标（如准确率>85%、F1-score>0.7）  

         或业务目标（如"将客户流失预测准确率提升15%"）

2. 特征工程与自变量选择
请分步骤给出建议：

  (1) 特征筛选标准：  

      保留字段：  

  | 字段名 | 处理方式 | 保留理由（满足以下条件） |  

  | [字段1] | 标签编码/One-Hot | 与因变量信息增益高、业务逻辑相关 |  

  | [字段2] | 处理缺失值（如填充/删除） | 数据质量达标（缺失率<5%）、分布合理 |  

    排除字段：  

  | 字段名 | 排除原因 |  

  | [字段X] | 多重共线性（VIF>10）、无关变量、数据噪声 |  

 

  (2) 特征处理建议：  

     分类特征：  

  - 编码方式：[标签编码/One-Hot]（如"品类字段需One-Hot编码以保留类别信息"）  

     缺失值处理：  

  - 策略：[填充/删除/模型内置处理]（如"年龄字段缺失率3%，用中位数填充"）  

    异常值处理：  

  - 策略：[离群值截断/删除]（如"销量字段存在极端值，使用IQR法处理"）  

3. 模型输入设计
请给出最终的模型输入方案 ：

    自变量（X）：  

    字段列表及预处理方法：  

       [字段A]：标签编码 → 转换为整数类型  

      [字段B]：One-Hot编码 → 扩展为N个二元变量  

    因变量（Y）：  

    字段名：[字段名]  

    是否需要离散化？[是/否及方法]（如"销售额连续值转为高/中/低三类"）  

 

4. 算法实现建议
    模型适配性：  

      是否适合随机森林？[是/否及理由]  

      若否，推荐调整：  

      尝试XGBoost/梯度提升树（如"特征间交互复杂，需更深度学习"）

    关键参数建议：  

      \`n_estimators\`：[建议值及理由]（如"设置为100以平衡计算效率与精度"）  

      \`max_depth\`：[建议值及理由]（如"防止过拟合，设置为5"）  

      \`max_features\`：[建议值及理由]（如"sqrt型特征子集"）  

      \`class_weight\`：[平衡/不均衡]（如"类别分布不均衡时设置'balanced'"）    

 计算资源建议：  

     是否需要特征选择？[是/否及方法]（如"使用特征重要性筛选Top 10字段"）  

     验证与评估：  

       验证策略：[分层5折交叉验证]（如"数据类别分布不均衡"）  

       关键指标：[准确率、F1-score、特征重要性图表]  

5. 输出格式要求
请以以下结构分点输出，便于模型生成清晰结论：

1. 问题定义：[一句话描述]  

2. 因变量选择：[字段名] + [选择理由]  

3. 自变量选择：  

   - 保留字段：[字段列表及处理方式]  

   - 排除字段：[字段列表及排除原因]  

4. 关键特征分析：  

   - 相关性最高特征：[字段名]（相关系数值）  

   - 高共线性特征对：[字段对及VIF值]  

5. 模型建议：  

   - 是否需要正则化？[是/否及理由]  

   - 推荐验证方式：[方法名称]  

   - 核心参数建议`
